# Function createPostMessageInstruction

- createPostMessageInstruction(connection, wormholeProgramId, payer, messageAccount, payload, nonce, consistencyLevel): TransactionInstruction

- #### Parameters

  - ##### connection: Connection

  - ##### wormholeProgramId: PublicKeyInitData

  - ##### payer: PublicKeyInitData

  - ##### messageAccount: PublicKeyInitData

  - ##### payload: Uint8Array

  - ##### nonce: number

  - ##### consistencyLevel: number

  #### Returns TransactionInstruction

  - Defined in utils/instructions/postMessage.ts:31

Generated using TypeDoc